Skip to main content
GET
/
task
/
{task_id}
Read one task
curl --request GET \
  --url https://api.reevo.ai/api/v2/public/task/{task_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.reevo.ai/api/v2/public/task/{task_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.reevo.ai/api/v2/public/task/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "attributes": {
      "id": {
        "value": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "value_type": "uuid"
      },
      "organization_id": {
        "value": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "value_type": "uuid"
      },
      "title": {
        "value": "<string>",
        "value_type": "string"
      },
      "status": {
        "value": "<string>",
        "value_type": "enum"
      },
      "priority": {
        "value": "<string>",
        "value_type": "enum"
      },
      "owner_user_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "type": {
        "value": "<string>",
        "value_type": "enum"
      },
      "source_type": {
        "value": "<string>",
        "value_type": "enum"
      },
      "created_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "updated_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "participant_user_id_list": [
        {
          "value": {
            "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "related_record_type": "<string>"
          },
          "value_type": "record_reference"
        }
      ],
      "note": {
        "value": "<string>",
        "value_type": "long_text"
      },
      "due_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "disposition": {
        "value": "<string>",
        "value_type": "string"
      },
      "owner_team_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "is_private": {
        "value": true,
        "value_type": "boolean"
      },
      "archived_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "completed_at": {
        "value": "2023-11-07T05:31:56Z",
        "value_type": "timestamp"
      },
      "created_by_user_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "updated_by_user_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "archived_by_user_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      },
      "completed_by_user_id": {
        "value": {
          "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "related_record_type": "<string>"
        },
        "value_type": "record_reference"
      }
    },
    "record_type": "task"
  }
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}
{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}

Authorizations

Authorization
string
header
required

Reevo API key passed as Authorization: Bearer <api-key>.

Path Parameters

task_id
string<uuid>
required

Response

Successful Response

Wrapper around a single TaskObjectRecord — GET / POST / PATCH.

data
TaskObjectRecord · object
required